curl --request GET \
--url https://api.bspk.com/api/extraction/v1/sales_associates \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.bspk.com/api/extraction/v1/sales_associates"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.bspk.com/api/extraction/v1/sales_associates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"created_at": "2024-08-07T12:29:27.668Z",
"updated_at": "2024-08-07T12:29:27.668Z",
"current_store_id": "Store-external_id-65",
"associate_id": null,
"associate_id_2": null,
"sales_associate_name": "FirstName-110 LastName-110",
"username": "username-41",
"email": "someone117@example.com",
"mobile_phone": null,
"job_title": "Manager",
"imessage_enabled": false,
"wechat_enabled": false,
"wechat_code": null,
"line_enabled": false,
"adyen_enabled": false
}
]List Sales Associates
List Sales Associates
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Sales Associate id owned by the brand
Only show sales associates created after the given time. This is a timestamp in ISO 8601 format: YYYY-MM-DDTHH:MM:SSZ.
Combined with the from parameter, only show sales associates created within the given range (from..to) time. This is a timestamp in ISO 8601 format: YYYY-MM-DDTHH:MM:SSZ.
Selects the column that from and to filter, and the column that orders the result. A request that does not send sort uses created_at, which is the creation time. updated_at is the time of the last change: use it to extract a delta of the sales associates that changed after your last extraction. The other extraction endpoints do not accept this parameter and answer HTTP 422 when a request sends it.
created_at, updated_at Page number of the results to fetch. Default: 1
Results per page (max 1000). Default: 100
Response
Successful response, returns array of Sales Associates
Unique identifier of the store where associate is assigned to
Unique identifier of the associate
Second unique identifier of the associate
Full name of the associate
Associate's username that they use to login to BSPK
Associate's email
Associate's mobile phone
Associate's job title
Whether or not the associate has wechat enabled
Wechat code whenever it has wechat enable.
Whether or not the associate has Apple Messages enabled
Whether or not the associate has Line enabled
Whether or not the associate has Adyen Pay by Link enabled
Timestamp of when the note was created
Timestamp of when the note was updated
